Recupera o status de execução por ID. O escopo do projeto é realizado pelo parâmetro route id path e a organização é derivada desse projeto.
Respostas
-
Versão de API não permitida ou malformada, uma operação indisponível no contrato publicado selecionado ou uma representação inaceitável (incluindo parâmetros de tipo de mídia não suportados ou SSE excluído). Falhas existentes de autenticação, autorização e limite de taxa têm precedência.
-
OK
-
Solicitação inválida
-
Não autorizado
-
Não encontrado
-
Erro interno do servidor
-
Gateway incorreto
GET /api/v1/projects/{id}/executions/{execution_id}
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/executions/{execution_id}' \
--header "Authorization: $API_KEY"
Exemplos de resposta (406)
Operação indisponível
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (200)
{
"error": "string",
"execution": {
"created_at": "string",
"error": "string",
"error_code": "string",
"execution_id": "string",
"message": "string",
"org_id": "string",
"project_id": "string",
"session_id": "string",
"startup_failure": {
"boot_id": "string",
"code": "string",
"component": "string",
"phase": "string",
"source": "string"
},
"status": "string",
"suspend_context": {},
"suspend_reason": "string",
"updated_at": "string",
"user_id": "string"
},
"success": true
}
Exemplos de resposta (200)
{
"error": "string",
"execution": {
"created_at": "string",
"error": "string",
"error_code": "string",
"execution_id": "string",
"message": "string",
"org_id": "string",
"project_id": "string",
"session_id": "string",
"startup_failure": {
"boot_id": "string",
"code": "string",
"component": "string",
"phase": "string",
"source": "string"
},
"status": "string",
"suspend_context": {},
"suspend_reason": "string",
"updated_at": "string",
"user_id": "string"
},
"success": true
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (401)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (401)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (404)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (404)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (502)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (502)
{
"code": "string",
"error": "string",
"success": true
}